## org.biojava.bio.seq.ragbag
Interface RagbagComponentDirectory

All Known Implementing Classes:
  RagbagComponentDirectory.EmptyComponentDirectory, RagbagHashedComponentDirectory

public interface RagbagComponentDirectory

provides a mapping of a reference to a specific ComponentFeature It exists primarily to support the getComponent method of DASDataSource.

Since:
  1.2
Author:
  David Huen

Nested Class Summary
`static class` `RagbagComponentDirectory.EmptyComponentDirectory` Dummy class that does nothing.

Field Summary
`static RagbagComponentDirectory` `UNLOGGED`

Method Summary
`void` `addComponentFeature(java.lang.String ref, ComponentFeature cf)` Add specified component feature to the directory
`ComponentFeature` `getComponentFeature(java.lang.String ref)`

Field Detail

### UNLOGGED

    public static final RagbagComponentDirectory UNLOGGED

Method Detail

### addComponentFeature

    public void addComponentFeature(java.lang.String ref,
                                    ComponentFeature cf)

  Add specified component feature to the directory

### getComponentFeature

    public ComponentFeature getComponentFeature(java.lang.String ref)

  Parameters:
    `ref` - reference used in the RagbagMap file for this mapping